import { get, post } from '../../utils/http'
import { urlToObj } from '../../utils/util'
Page({
  /**
   * 页面的初始数据
   */
  data: {
    detail: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log('deviceLogin==========', options)
    // q=https%3A%2F%2Fimg.ijolijoli.com%2Fwxmini%2Fdevice%3Fdevice_num%3D48872D6244A2&scancode_time=1642333462
    if (options.hasOwnProperty('q') && options.q) {
      const url = decodeURIComponent(options.q)
      const obj = urlToObj(url)
      this.setData({
        device_num: obj.device_num
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getDeviceInfo()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},

  /**
   * 获取设备信息
   * /api/device/info
   */
  getDeviceInfo() {
    get(
      'api/device/info',
      {
        device_num: this.data.device_num
      },
      (res) => {
        console.log(res)
        this.setData({
          detail: res.data
        })
      }
    )
  },

  /**
   * 授权设备登录
   * /api/device/login
   */
  deviceLogin() {
    post(
      'api/device/login',
      {
        device_num: this.data.detail.device_num
      },
      (res) => {
        console.log(res)
        wx.showToast({
          title: res.msg,
          icon: 'none'
        })
        setTimeout(() => {
          wx.switchTab({
            url: '/pages/home/home'
          })
        }, 1000)
      }
    )
  }
})
